Set the organization's default refund destination
curl --request PUT \
--url https://sandbox-api.borderless.xyz/v1/organizations/refunds/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": {
"type": "Address",
"addresses": [
{
"network": "ETHEREUM",
"address": "0x1234567890abcdef1234567890abcdef12345678"
}
],
"autoRefund": true
}
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/refunds/config"
payload = { "destination": {
"type": "Address",
"addresses": [
{
"network": "ETHEREUM",
"address": "0x1234567890abcdef1234567890abcdef12345678"
}
],
"autoRefund": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination: {
type: 'Address',
addresses: [{network: 'ETHEREUM', address: '0x1234567890abcdef1234567890abcdef12345678'}],
autoRefund: true
}
})
};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/refunds/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"destination": {
"type": "Address",
"addresses": [
{
"network": "ETHEREUM",
"address": "0x1234567890abcdef1234567890abcdef12345678"
}
],
"autoRefund": true
},
"verifiedAt": "2023-11-07T05:31:56Z",
"isStaleWarning": true,
"isStaleReject": true
}Refund Defaults
Set the organization's default refund destination
Creates or replaces the organization’s default refund destination and resets its verification timestamp to now.
PUT
/
v1
/
organizations
/
refunds
/
config
Set the organization's default refund destination
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The organization's default refund destination, used when a transaction has no per-transaction destination set. Saving resets the verification timestamp.
Show child attributes
Show child attributes
Response
200 - application/json
The organization's default refund destination.
Show child attributes
Show child attributes
When the default was last set or re-confirmed.
True when the default is older than 30 days and should be re-confirmed.
True when the default is older than 90 days; automatic refunds to this default are paused until re-confirmed.
Was this page helpful?
Get the organization's default refund destinationRemove the organization's default refund destination
⌘I